<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>numbers</title>
</head>

<body>
    <script>
        let num1 = +prompt('enter first number');
        let num2 = +prompt('enter second number');

        while (!Number.isInteger(num1) || isNaN(num1) || !num1) {
            num1 = +prompt('enter first number', num1);
        }
        while (!Number.isInteger(num2) || isNaN(num2) || !num2) {
            num2 = +prompt('enter second number', num2);
        }

        for (let i = num1; i < num2; i++) {
            if (!isPrime(i)) continue;
            console.log(i);
        }
        if (num1 > num2) {
            for (let i = num2; i < num1; i++) {
                if (!isPrime(i)) continue;
                console.log(i);
            }
        }

        function isPrime(num) {
            for (let i = 2; i < num; i++) {
                if (!(num % i)) return false;
            }

            return true;
        }

    </script>
</body>

</html>